PIRL.Viewers

## Class Percent_BarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - PIRL.Viewers.Percent_BarUI

Direct Known Subclasses:
  Percent_Bar_UI

    public abstract class Percent_BarUI
    extends ComponentUI

A Percent_BarUI is an empty abstract class that provides type identification for a Percent_Bar ComponentUI delegate.

See Also:
  `Percent_Bar`, `Percent_Bar_UI`

### Constructor Summary

Constructors
Constructor and Description
`Percent_BarUI()`

### Method Summary

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Percent_BarUI

    public Percent_BarUI()